@import "../variables"

.header
  .wrap
    .header-sub-nav
      padding: 14px 0

      .sub__list
        display: flex
        justify-content: flex-end
        margin-right: 10px
        padding-left: 0
        list-style: none
        .sub__item
          margin-right: 45px
          &:last-child
            margin-right: 0
          .exit
            display: flex
            align-items: center
            height: 20px
            &:after
              content: url("../images/icons/exit.svg")
              height: 20px
              width: 19px
              margin-left: 10px
        .notify__item
          position: relative
          .notify
            display: flex
            align-items: center

            cursor: pointer
            .counter
              margin-left: 5px
              cursor: pointer


          .notification-block
            position: absolute
            top: 35px
            right: 0
            z-index: -1
            background-color: white
            padding: 40px 30px
            max-height: 600px
            min-width: 430px
            overflow-y: auto
            border: 1px solid #E7E7E7
            box-shadow: 0 4px 45px rgba(0, 0, 0, 0.2)
            border-radius: 5px
            visibility: hidden
            opacity: 0
            transition: all 0.3s ease-in-out
            cursor: auto !important
            .wrap
              .btn
                position: absolute
                right: 5px
                top: 5px
                font-size: 3rem
                font-weight: normal
                color: $text_gray
              .notification-item
                padding-bottom: 10px
                border-bottom: 1px solid #E7E7E7
                .notification__title
                  color: $blue
                  margin-bottom: 10px

                .notification__text
                  padding-top: 20px
                  padding-bottom: 20px
                  margin-bottom: 15px
                .notification__link
                  margin-bottom: 15px
                .notification__date
                  color: $text_gray
          .notification-block.active
            visibility: visible
            opacity: 1
            z-index: 100

    .header-main-nav
      padding-top: 15px
      padding-bottom: 25px
      display: flex
      justify-content: space-between
      .main__list
        display: flex
        align-items: center
        padding-left: 0
        list-style: none
        .main__item
          margin-right: 30px
          &:last-child
            margin-right: 0

        .balance
          display: flex
          align-items: flex-start
          margin-left: 30px
          img
            margin-top: 10px
          .about-balance-block
            margin-left: 20px
            display: flex
            flex-direction: column
            .about__text
              font-weight: bold
              margin-bottom: 5px
            .about__text_price
              color: $blue
              font-size: 1.28rem
            .about__text_price.negative-balance
              color: $red

        .add_balance
          display: flex
          flex-direction: column
          align-items: center
          .btn
            display: flex
            align-items: center
            &:before
              content: url("../images/icons/add_balance.svg")
              display: block
              margin-right: 7px
              transition: all .3s ease-in-out
            &:hover
              &:before
                filter: grayscale(1) brightness(250%)
          .credit
            color: $red
            text-decoration: underline
            cursor: pointer
            display: flex
            margin-top: 5px
            &:after
              display: block
              content: url("../images/icons/credit.svg")
              margin-left: 10px
        .user_info
          display: flex
          align-items: flex-start
          img
            margin-top: 10px
          .user-info-block
            display: flex
            flex-direction: column
            margin-left: 25px
            .user__text_about
              margin-bottom: 5px
            .user__text
              font-weight: 700
              &__id
                font-weight: 700
                margin-left: 5px
        .chat
          .btn
            display: flex
            align-items: center
            &:before
              content: url("../images/icons/online_chat.svg")
              display: block
              margin-right: 10px
              margin-top: 5px
              transition: all .3s ease-in-out